StarWind iSCSI SAN
StarWind Native SAN for Hyper-V
 

V2V - ESXi Version not supported?

VM image converter (VMDK, VHD, VHDX, IMG, RAW, QCOW and QCOW2)

Moderators: art (staff), anton (staff), Anatoly (staff), Max (staff)

V2V - ESXi Version not supported?

Postby Dunland » Tue Apr 17, 2018 11:10 pm

Hi All,

trying to download a vmdk file from a ESX 6.5 standalone host, and when selecting the vmdk and hitting next', before any options can be selected, i get the error "This version of the ESXi server is not supported".
Version details of my esxi server's 'HOST' tab below:

Version:
6.5.0 Update 1 (Build 5969303)

State:
Normal (not connected to any vCenter Server)

Uptime:
2.58 days

Trying to do a pretty urgent migration to a vhd for one of my drives
Dunland
 
Posts: 2
Joined: Tue Apr 17, 2018 11:06 pm

Re: V2V - ESXi Version not supported?

Postby Oleg(staff) » Wed Apr 18, 2018 9:47 am

Hi Dunland,
You should copy *.vmdk files from ESX host locally and then convert to the format you need.
It should work in this way.
Oleg(staff)
Staff
 
Posts: 564
Joined: Fri Nov 24, 2017 7:52 am

Re: V2V - ESXi Version not supported?

Postby Dunland » Fri Apr 20, 2018 1:21 pm

Hi There Oleg,

Having a few issues with that. From IE or FF, it gives me the disk descriptor file, OR, a 1KB VMDK file that doesnt help me.

Any ideas?
Dunland
 
Posts: 2
Joined: Tue Apr 17, 2018 11:06 pm

Re: V2V - ESXi Version not supported?

Postby Oleg(staff) » Fri Apr 20, 2018 4:19 pm

Hi Dunland,
Just type in the IP of ESXi host/folder and navigate to the folder with VM:
http://IP_of_esxi/folder
You will see both *.vmdk files in this way.
Oleg(staff)
Staff
 
Posts: 564
Joined: Fri Nov 24, 2017 7:52 am

Re: V2V - ESXi Version not supported?

Postby steve.hulsberg » Fri Nov 09, 2018 5:09 pm

Oleg,

I also have various ESXi 6.5/6.7 systems that need to be converted to a Hyper-V and have run into the version not supported message. What is the status of enabling support for 6.5/6.7? In your previous post you stated to copy the VMDK file, is this the only file we need to convert? What about all the network connections and other configuration options that are with the VM? I was under the impression that when the tool works normally, you can convert those as well?

Though I would prefer not to, but is moving the VM to a 6.0 system a way to get this conversion to work as expected?

Thank you,
Steve
steve.hulsberg
 
Posts: 33
Joined: Fri Nov 09, 2018 5:02 pm

Re: V2V - ESXi Version not supported?

Postby davido » Fri Nov 09, 2018 6:53 pm

I have the same questions as Steve. We have about 13 vmware 6.7 virtual machines we need to migrate to Hyper-V on Server 2016.
If we do the copy of the vmdk and then convert the file, do we loose anything or have to do anything special?

Thank you,
David
davido
 
Posts: 2
Joined: Fri Nov 09, 2018 6:49 pm

Re: V2V - ESXi Version not supported?

Postby Oleg(staff) » Mon Nov 12, 2018 3:16 pm

You can find the latest build of StarWind V2V by following this link.
Please try the new functionality added to this build.
Oleg(staff)
Staff
 
Posts: 564
Joined: Fri Nov 24, 2017 7:52 am

Re: V2V - ESXi Version not supported?

Postby fractal6969 » Mon Nov 12, 2018 8:39 pm

With the new download I was able to connect the Starwinds software to an ESXi 6.5 host. AWESOME!
fractal6969
 
Posts: 10
Joined: Fri Nov 09, 2018 10:29 pm

Re: V2V - ESXi Version not supported?

Postby Oleg(staff) » Tue Nov 13, 2018 9:51 am

You are welcome :)
Oleg(staff)
Staff
 
Posts: 564
Joined: Fri Nov 24, 2017 7:52 am

Re: V2V - ESXi Version not supported?

Postby steve.hulsberg » Tue Nov 13, 2018 8:38 pm

Oleg(staff) wrote:You can find the latest build of StarWind V2V by following this link.
Please try the new functionality added to this build.


I have tried this build and it connects fine when I point it to ESXi 6.0 and ESXi 6.5 but it gives me a blank VM list when pointing it to a vCenter 6.5 Appliance. Will it only work with ESXi hosts and not vCenter?

Steve
steve.hulsberg
 
Posts: 33
Joined: Fri Nov 09, 2018 5:02 pm

Re: V2V - ESXi Version not supported?

Postby Oleg(staff) » Wed Nov 14, 2018 10:54 am

Yes, for now, it works only with ESXi hosts.
Oleg(staff)
Staff
 
Posts: 564
Joined: Fri Nov 24, 2017 7:52 am

Re: V2V - ESXi Version not supported?

Postby davido » Fri Nov 16, 2018 6:09 pm

I tried it with a Vmware 6.7 to Hyper-V Server 2016 today and it worked great! And pretty fast too. Server was 65 GB (about 17-18 GB free space) and it took about 30 minutes.
Thank you StarWind! Now we will plan to do the others we have.

For your info, here are the things I needed to do after the conversion finished:

* It converted under the scsi controller which does not work for booting for Bios (hyper-v gen 1) machines and the conversion process makes it a gen 1 machine evidently.
* In the Hyper-v settings for the VM, find the drive file. In the properties, change the controller in the drop down from scsi controller to ‘ID Controller 0’ and save it.
* In the Hyper-V settings for the VM, set the desired automatic start and automatic stop actions.
* Uninstall Vmware Tools
* Go to the network settings for the Hyper-V adapter and set all the IP settings. It was reset back to DHCP since the old adapter is gone.
* To remove the floppy disk drive so it does not show up in the VM:
In registry editor, go to HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\flpydisk
Find the ‘Start’ key and change the value to 4.

Thank you!
davido
 
Posts: 2
Joined: Fri Nov 09, 2018 6:49 pm

Re: V2V - ESXi Version not supported?

Postby Oleg(staff) » Mon Nov 19, 2018 11:37 am

I will send this information to our R&D team in order to improve the overall process in the next V2V builds.
Oleg(staff)
Staff
 
Posts: 564
Joined: Fri Nov 24, 2017 7:52 am

Re: V2V - ESXi Version not supported?

Postby c.anderson » Mon Apr 15, 2019 9:56 pm

I'm having the same issue - downloaded latest V2V converter today (4/15/2019) and cannot connect to recently installed ESXi 6.7 server.
Message:
SOAP 1.1 fault "":ServerFaultCode [no subcode]
"Current license or ESXi version prohibits execution of the requested operation."

I'm able to connect to older 6.5 hosts no problem. Is there some other update to fix this?
Please advise. Thank you!
c.anderson
 
Posts: 1
Joined: Mon Apr 15, 2019 9:50 pm

Re: V2V - ESXi Version not supported?

Postby Boris (staff) » Mon Apr 15, 2019 10:00 pm

If you see that message, most probably you are using the free version of ESXi. To the best of my knowledge, that connection restriction exists because of limitations on the VMware's side.
Boris (staff)
Staff
 
Posts: 806
Joined: Fri Jul 28, 2017 8:18 am

Next

Return to StarWind V2V Converter

Who is online

Users browsing this forum: No registered users and 3 guests